Notice: 为WP_Widget调用的构造方法已自版本4.3.0起废弃

wordpress更新版本后,开启 debug 如有如下提示:

Notice: 为WP_Widget调用的构造方法已自版本4.3.0起废弃!请改用 __construct()。 in /Users/haibor/WebServer/lyc/wp-includes/functions.php on line 3624

查找一下主题或插件,有类似如下代码:

parent::WP_Widget 或 $this->WP_Widget

修改为:

parent::__construct

即可。

参与评论

游客评论不支持回复他人评论内容,如需回复他人评论内容请